"""
This is a build file for the 
"""
from setuptools import setup, find_packages
#from healthcareio import version
import meta
import os
import sys

def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read() 
args = {
    "name":"healthcareio","version":meta.__version__,
    "author":meta.__author__,
    "author_email":"steve.l.nyemba@vumc.org",
    "include_package_data":True,
    "license":meta.__license__,
    "packages":find_packages(),
    "keywords":["healthcare","edi","x12","analytics","835","837","data","transport","protocol"]
}
args["install_requires"] = ['typer','flask-socketio','seaborn','jinja2','jsonmerge', 'weasyprint','data-transport@git+https://healthcareio.the-phi.com/git/code/transport.git','pymongo','numpy','cloudant','pika','boto','botocore','flask-session','smart_open']
args['url'] = 'https://hiplab.mc.vanderbilt.edu'
args['scripts']= ['bin/healthcare-io']
# args['entry_points'] = {
#     'console_scripts'  : ['healthcareio=healthcareio:register']
# }

if sys.version_info[0] == 2 :
    args['use_2to3'] = False
    args['use_2to3_exclude_fixers'] = ['lib2to3.fixes.fix_import']
setup(**args)
#setup(
#    name = "parse-edi",
#    version = "1.0",
#    author = "Vanderbilt University Medical Center",
#    author_email = "steve.l.nyemba@vanderbilt.edu",
#    license = "MIT",
#    packages=['edi'],
#    keywords=['healthcare', 'edi','x12','mongodb','couchdb','rabbitmq','file','read','write','s3'],
#    install_requires = [
#        'data-transport@git+https://dev.the-phi.com/git/steve/data-transport.git',
#        'pymongo','numpy','cloudant','pika','boto','flask-session','smart_open'],
#    url="https://hiplab.mc.vanderbilt.edu/tools",
#    use_2to3=True,
#    long_description=read('README.md'),
#    convert_2to3_doctests=['README.md'],
#    #use_2to3_fixers=['your.fixers'],
#    use_2to3_exclude_fixers=['lib2to3.fixes.fix_import'],
#    )

